ServerRefusedConnectionException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.client, class: ServerRefusedConnectionException

Package org.apache.geode.cache.client

# Class ServerRefusedConnectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.OperationAbortedException
org.apache.geode.cache.client.ServerRefusedConnectionException

All Implemented Interfaces:
  `Serializable`

public class ServerRefusedConnectionException extends OperationAbortedException
A `ServerRefusedConnectionException` indicates a client attempted to connect to a server, but the handshake was rejected.

Since:
  GemFire 5.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerRefusedConnectionException(DistributedMember server, String msg)`
  Constructs an instance of `ServerRefusedConnectionException` with the specified detail message.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServerRefusedConnectionException

    public ServerRefusedConnectionException(DistributedMember server, String msg)
    Constructs an instance of `ServerRefusedConnectionException` with the specified detail message.
    Parameters:
      `server` - the server that rejected the connection
      `msg` - the detail message